/*
Theme Name: Aseel
Theme URI: https://draseelgyn.com
Description: A child theme for Astra.
Author: Amgad E
Author URI: https://be.net/amgade
Template: astra
Version: 1.0
Text Domain: aseel
*/
html, body {
    overflow-x: hidden;
    max-width: 100vw;
    touch-action: manipulation; /* Prevent accidental zoom */
}

/* Fix layout-breaking elements */
body, .site, .site-content {
    width: 100%;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

* {
    box-sizing: border-box;
}


.site-title, .site-title a, .site-title a:focus, .site-title a:hover, .site-title a:visited{
    color: #ffffff;
    font-size: 21px;
	  line-height: 28px;
}
footer .site-title, footer .site-title a,  footer .site-title a:focus, footer .site-title a:hover, footer .site-title a:visited{
	font-size: 17px;
	line-height:22px;
}
.ast-site-title-wrap{
	width: 160px;
}
.aseel-footer-menu{
	margin: 0;
	width: fit-content;
  margin: 0 auto;
}
.aseel-footer-menu ul{
	margin:0 0 1em 0;
  list-style: none;
	text-align:center;
}
.aseel-footer-menu li{
	padding: 0 0.5em;
}

/* Back to top button*/
#backToTop {
    position: fixed;
    bottom: 50px;
    right: 50px;
    width: 50px;
    height: 50px;
    background: transparent;
    color: var(--ast-global-color-0);;
    border: none;
    border-radius: 50%;
    font-size: 50px;
    font-weight: 100;
    cursor: pointer;
    display: none;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    z-index: 9999;
    opacity: 0.7;
    transition: opacity 0.3s ease;
    font-family: 'Pe-icon-7-stroke', sans-serif;
}

#backToTop::before {
    content: "\e695"; /* Unicode for Up Arrow in Pe-icon-7-stroke */
}
#backToTop:hover{
	opacity:1;
}
.align-img-right img{
	float:right;
}	

@media (max-width: 544px) {
    h1, .entry-content h1 {
        font-size: 42px;
    }

}
